=== modified file 'ChangeLog'
--- ChangeLog	2006-08-03 14:32:03 +0000
+++ ChangeLog	2006-08-05 15:26:04 +0000
@@ -1,3 +1,8 @@
+2006-08-05  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/frontend/gtk/diff.py: Diff window now destroyed if not a branch
+    * olive.glade: added shadow to Diff window's scrollbars
+
 2006-08-03  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * olive/frontend/gtk/status.py: Status window implemented

=== modified file 'olive.glade'
--- olive.glade	2006-08-03 14:32:03 +0000
+++ olive.glade	2006-08-05 15:26:04 +0000
@@ -2238,7 +2238,7 @@
 	      <property name="can_focus">True</property>
 	      <property name="hscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
 	      <property name="vscrollbar_policy">GTK_POLICY_AUTOMATIC</property>
-	      <property name="shadow_type">GTK_SHADOW_NONE</property>
+	      <property name="shadow_type">GTK_SHADOW_IN</property>
 	      <property name="window_placement">GTK_CORNER_TOP_LEFT</property>
 
 	      <child>

=== modified file 'olive/frontend/gtk/diff.py'
--- olive/frontend/gtk/diff.py	2006-08-03 14:32:03 +0000
+++ olive/frontend/gtk/diff.py	2006-08-05 15:26:04 +0000
@@ -64,6 +64,10 @@
         
         self.dialog = OliveDialog(self.gladefile)
         
+        # Get some important widgets
+        self.window = self.glade.get_widget('window_diff')
+        self.treeview = self.glade.get_widget('treeview_diff_files')
+
         # Check if current location is a branch
         try:
             (self.wt, path) = WorkingTree.open_containing(self.comm.get_path())
@@ -84,9 +88,6 @@
         # Set the old working tree
         self.old_tree = self.wt.branch.repository.revision_tree(self.wt.branch.last_revision())
         
-        # Get the Diff window widget
-        self.window = self.glade.get_widget('window_diff')
-        
         # Dictionary for signal_autoconnect
         dic = { "on_button_diff_close_clicked": self.close,
                 "on_treeview_diff_files_cursor_changed": self.cursor_changed }
@@ -104,13 +105,13 @@
         """ Display the Diff window. """
         if self.notbranch:
             self.dialog.error_dialog('Directory is not a branch.')
+            self.close()
         else:
             self.window.show_all()
     
     def _create_file_view(self):
         """ Create the list of files. """
         self.model = gtk.TreeStore(str, str)
-        self.treeview = self.glade.get_widget('treeview_diff_files')
         self.treeview.set_model(self.model)
         
         cell = gtk.CellRendererText()

